Bug 50976

Summary: Apache losts client's ip (%a or %h) sometimes.
Product: Apache httpd-2 Reporter: Igor <igor.goncharenko>
Component: CoreAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: normal Keywords: MassUpdate
Priority: P2    
Version: 2.2.17   
Target Milestone: ---   
Hardware: PC   
OS: FreeBSD   

Description Igor 2011-03-26 05:14:08 UTC
In logs sometimes i see:

:: my.domain.com [26/Mar/2011:08:57:29 +0000] 0 99049 /index.php  200 2487 "Mozilla/5.0 [en] (compatible; MSIE 8.0; Windows NT 5.0; U)" 


10.10.10.10 my.domain.com [26/Mar/2011:09:00:36 +0000] 0 99050 /index.php  200 2487 "Mozilla/5.0 [en] (compatible; MSIE 8.0; Windows NT 5.0; U)"               

Both requests from 10.10.10.10. 

So, in first request i see that apache losts client's ip. I investigated http headers for both requests(and answers from apache) by wireshark and saw that both are identical and correct.

Logformat:
LogFormat "%a %V %t %T %P %U %q %>s %b \"%{User-Agent}i\"" debug


This issue concerned apache 2.0.6X and 2.2.17 (just upgraded). 

Advise me what can i do for resolve issue or for additional debugging?


Thx
---
Igor
Comment 1 Igor 2011-03-26 05:17:56 UTC
apache bult on freebsd 7.1/i386 with prefork.

> httpd -V
Server version: Apache/2.2.17 (FreeBSD)
Server built:   Mar 20 2011 13:15:59
Server's Module Magic Number: 20051115:25
Server loaded:  APR 1.4.2, APR-Util 1.3.10
Compiled using: APR 1.4.2, APR-Util 1.3.10
Architecture:   32-bit
Server MPM:     Prefork
  threaded:     no
    forked:     yes (variable process count)
Server compiled with....
 -D APACHE_MPM_DIR="server/mpm/prefork"
 -D APR_HAS_SENDFILE
 -D APR_HAS_MMAP
 -D APR_HAVE_IPV6 (IPv4-mapped addresses enabled)
 -D APR_USE_FLOCK_SERIALIZE
 -D APR_USE_PTHREAD_SERIALIZE
 -D SINGLE_LISTEN_UNSERIALIZED_ACCEPT
 -D APR_HAS_OTHER_CHILD
 -D AP_HAVE_RELIABLE_PIPED_LOGS
 -D DYNAMIC_MODULE_LIMIT=128
 -D HTTPD_ROOT="/usr/local"
 -D SUEXEC_BIN="/usr/local/bin/suexec"
 -D DEFAULT_PIDLOG="/var/run/httpd.pid"
 -D DEFAULT_SCOREBOARD="logs/apache_runtime_status"
 -D DEFAULT_LOCKFILE="/var/run/accept.lock"
 -D DEFAULT_ERRORLOG="logs/error_log"
 -D AP_TYPES_CONFIG_FILE="etc/apache22/mime.types"
 -D SERVER_CONFIG_FILE="etc/apache22/httpd.conf
Comment 2 Christophe JAILLET 2012-09-30 17:02:56 UTC
Could this be related to https://issues.apache.org/bugzilla/show_bug.cgi?id=50262 ?
Comment 3 William A. Rowe Jr. 2018-11-07 21:09:07 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.